import React from 'react'
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon'

const ToWatchIcon: React.FC<SvgIconProps> = (props) => {
  return (
    <SvgIcon viewBox={'0 0 512 512'} {...props}>
      <path
        d="
        M427.468,52.442h-69.43V31.136c0-4.329-3.509-7.839-7.839-7.839h-54.708v-0.264C295.492,10.333,285.159,0,272.46,0h-32.92
        c-12.7,0-23.032,10.333-23.032,23.033v0.264h-54.708c-4.329,0-7.839,3.51-7.839,7.839v21.305h-69.43
        c-4.329,0-7.839,3.51-7.839,7.839v98.124c0,4.329,3.51,7.839,7.839,7.839s7.839-3.51,7.839-7.839V68.12h61.59v21.764
        c0,4.329,3.51,7.839,7.839,7.839h188.4c4.33,0,7.839-3.51,7.839-7.839V68.12h61.591v428.203H92.37V184.229
        c0-4.329-3.51-7.839-7.839-7.839s-7.839,3.51-7.839,7.839v319.932c0,4.329,3.51,7.839,7.839,7.839h342.937
        c4.33,0,7.839-3.51,7.839-7.839V60.281C435.307,55.952,431.799,52.442,427.468,52.442z M169.639,82.045V60.281V38.975h54.708
        c4.329,0,7.839-3.51,7.839-7.839v-8.103c0-4.055,3.299-7.355,7.354-7.355h32.92c4.055,0,7.354,3.3,7.354,7.355v8.103
        c0,4.329,3.509,7.839,7.839,7.839h54.708v21.305v21.764H169.639z
    "
      />
      <path d="M246 270 L392 270" stroke="currentColor" strokeWidth="20" strokeLinecap="round" strokeLinejoin="round" />
      <polygon points="250,205 233,190 171,254 144,226 130,240 171,282   " />
      <path d="M246 404 L392 404" stroke="currentColor" strokeWidth="20" strokeLinecap="round" strokeLinejoin="round" />
      <polygon points="250,339 233,325 171,388 144,360 130,375 171,417   " />
    </SvgIcon>
  )
}

export default ToWatchIcon
